%%
load chl_mm2018

x = 30; y = 120;

lons = -80:5:-55;
lats = 36:2:50;

xticklbs = cell(size(lons));
yticklbs = cell(size(lats));

for m=1:numel(lons)
    xticklbs{m} = sprintf('%d^{o}E',lons(m));
end

for n=1:numel(lats)
    yticklbs{n} = sprintf('%d^{o}N',lats(n));
end
    
%%
figure('rend','painters','pos',[10 10 800 600])
for i=1:size(CHL,3)
    pcolorjw(LON,LAT,log10(CHL(:,:,i))), shading interp, caxis([log10(0.1),log10(20)])
    plotnewengland
    xticks(lons)
    yticks(lats)
    set(gca,'xticklabels',xticklbs)
    set(gca,'yticklabels',yticklbs)
    colormap(cmocean('algae',21))
    cb = colorbar;
    set(cb,'ticks',[log10(0.1),log10(0.2),log10(0.5),log10(1),log10(2),log10(5),log10(10),log10(20)])
    set(cb,'ticklabels',{'0.1','0.2','0.5','1','2','5','10','20'})
    title([sprintf('Chl (mg/m^{3})\n'),datestr(doy2date(JDAY(i),2012))])
    hold on
    scatter(LON(x,y),LAT(x,y),200,'k*','LineWidth',2)
    hold off
    pause(0.2)
    % print(gcf,sprintf('figures/sat_chl_%d',i),'-dpng')
end

%%
figure('rend','painters','pos',[810 10 900 600])
plot(doy2date(JDAY,2012*ones(size(JDAY))),squeeze(CHL(x,y,:)),'LineWidth',3)
dates = [2012 1 1;
         2012 4 1;
         2012 7 1;
         2012 10 1;
         2013 1 1];
xticks(datenum(dates))
set(gca,'xticklabels',datestr(datenum(dates),'m'))
ylabel('Chl (mg/m^{3})')
% print(gcf,'figures/chl_tseries.png','-dpng')